Menu

## Footnotes_Widget_Reference_Container extends Footnotes_Widget_Base

reference-container.php : 15

Registers a Widget to put the Reference Container to the widget area.

##### Tags

since
  1.5.0

### Table of Contents

__construct() : mixed
  Class Constructor. Registers the child Widget to WordPress.
form() : void
  Outputs the Settings of the Widget.
widget() : mixed
  Outputs the Content of the Widget.
get_description() : string
  Returns the Description of the child widget.
get_id() : string
  Returns an unique ID as string used for the Widget Base ID.
get_name() : string
  Returns the Public name of the Widget to be displayed in the Configuration page.
get_widget_width() : int
  Returns the width of the Widget. Default width is 250 pixel.

### Methods

#### __construct()

base.php : 69

Class Constructor. Registers the child Widget to WordPress.

`public __construct() : mixed`

##### Tags

since
  1.5.0
  - Update: replace deprecated function WP_Widget() with recommended __construct(), thanks to @dartiss code contribution.
since
  1.6.4
contributor

  @dartiss

link

  “The called constructor method for WP_Widget in Footnotes_Widget_ReferenceContainer is deprecated since version 4.3.0! Use __construct() instead.”

##### Return values

mixed —

#### form()

reference-container.php : 58

Outputs the Settings of the Widget.

`public form(mixed $instance) : void`

##### Parameters

$instance : mixed

  The instance of the widget.

##### Tags

since
  1.5.0

##### Return values

void —

Edit: curly quotes 2.2.0

#### widget()

reference-container.php : 69

Outputs the Content of the Widget.

`public widget(mixed $args, mixed $instance) : mixed`

##### Parameters

$args : mixed

  The widget's arguments.

$instance : mixed

  The instance of the widget.

##### Tags

since
  1.5.0

##### Return values

mixed —

#### get_description()

reference-container.php : 45

Returns the Description of the child widget.

`protected get_description() : string`

##### Tags

since
  1.5.0

##### Return values

string —

Edit: curly quotes 2.2.0

#### get_id()

reference-container.php : 23

Returns an unique ID as string used for the Widget Base ID.

`protected get_id() : string`

##### Tags

since
  1.5.0

##### Return values

string —

#### get_name()

reference-container.php : 33

Returns the Public name of the Widget to be displayed in the Configuration page.

`protected get_name() : string`

##### Tags

since
  1.5.0

##### Return values

string —

#### get_widget_width()

base.php : 53

Returns the width of the Widget. Default width is 250 pixel.

`protected get_widget_width() : int`

##### Tags

since
  1.5.0

##### Return values

int —

## Search results